Index: src/edu/ucsb/nceas/metacat/ElementNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 2663)
@@ -35,6 +35,8 @@
 import java.util.TreeSet;
 import java.util.Vector;
 
+import org.apache.log4j.Logger;
+
 /**
  * A Class that represents an XML element and its contents,
  * and can build itself from a database connection
@@ -41,6 +43,8 @@
  */
 public class ElementNode extends BasicNode {
 
+  private static Logger logMetacat = Logger.getLogger(ElementNode.class);
+
   /** 
    * Construct a new ElementNode instance, and recursively create its children
    *
@@ -57,10 +61,10 @@
     while (it.hasNext()) {
       NodeRecord currentNode = (NodeRecord)it.next();
       if (currentNode.nodeid == nodeid) {
-        util.debugMessage("Got Node ID: " + currentNode.nodeid +
+        logMetacat.info("Got Node ID: " + currentNode.nodeid +
                           " (" + currentNode.parentnodeid +
                           ", " + currentNode.nodeindex + 
-                          ", " + currentNode.nodetype + ")", 50);
+                          ", " + currentNode.nodetype + ")");
         // Process the current node
         setNodeType(currentNode.nodetype);
         setNodeID(currentNode.nodeid);
@@ -69,13 +73,13 @@
       } else {
         // Process the children nodes
         if (currentNode.parentnodeid == getNodeID()) {
-          util.debugMessage("  Processing child: " + currentNode.nodeid +
+        	logMetacat.info("  Processing child: " + currentNode.nodeid +
                           " (" + currentNode.parentnodeid +
                           ", " + currentNode.nodeindex + 
-                          ", " + currentNode.nodetype + ")", 50);
+                          ", " + currentNode.nodetype + ")");
 
           if ((currentNode.nodetype).equals("ELEMENT")) {
-            util.debugMessage("Creating child node: " + currentNode.nodeid, 50);
+        	logMetacat.info("Creating child node: " + currentNode.nodeid);
             ElementNode child = new ElementNode(nodeRecordList,
                                                 currentNode.nodeid);
             addChildNode(child);
@@ -100,10 +104,10 @@
           }
 
         } else {
-          util.debugMessage("  Discarding child: " + currentNode.nodeid +
+        	logMetacat.info("  Discarding child: " + currentNode.nodeid +
                           " (" + currentNode.parentnodeid +
                           ", " + currentNode.nodeindex +
-                          ", " + currentNode.nodetype + ")", 50);
+                          ", " + currentNode.nodetype + ")");
         }
       }
     }
Index: src/edu/ucsb/nceas/metacat/QuerySpecification.java
===================================================================
--- src/edu/ucsb/nceas/metacat/QuerySpecification.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/QuerySpecification.java	(revision 2663)
@@ -40,6 +40,7 @@
 
 import edu.ucsb.nceas.dbadapter.AbstractDatabase;
 
+import org.apache.log4j.Logger;
 import org.xml.sax.Attributes;
 import org.xml.sax.InputSource;
 import org.xml.sax.SAXException;
@@ -115,6 +116,8 @@
 
     private StringBuffer textBuffer = new StringBuffer();
 
+    private static Logger logMetacat = Logger.getLogger(QuerySpecification.class);
+
     /**
      * construct an instance of the QuerySpecification class
      *
@@ -235,7 +238,7 @@
             ownerQuery = ownerQuery + "lower(user_owner) ='" + userName + "'";
         }
 
-        MetaCatUtil.debugMessage("OwnerQuery: " + ownerQuery, 30);
+        logMetacat.info("OwnerQuery: " + ownerQuery);
         return ownerQuery;
     }
 
@@ -249,7 +252,7 @@
         String allowString = constructAllowString();
         allowQuery = "SELECT docid from xml_access WHERE( " + allowString;
         allowQuery = allowQuery + ") AND subtreeid IS NULL";
-        MetaCatUtil.debugMessage("allow query is: " + allowQuery, 30);
+        logMetacat.info("allow query is: " + allowQuery);
         return allowQuery;
 
     }
@@ -281,7 +284,7 @@
                 }//if
             }//for
         }//if
-        MetaCatUtil.debugMessage("allow string is: " + allowQuery, 40);
+        logMetacat.info("allow string is: " + allowQuery);
         return allowQuery;
     }
 
@@ -296,7 +299,7 @@
         String denyString = constructDenyString();
         denyQuery = "SELECT docid from xml_access WHERE( " + denyString;
         denyQuery = denyQuery + ") AND subtreeid IS NULL ";
-        MetaCatUtil.debugMessage("denyquery is: " + denyQuery, 30);
+        logMetacat.info("denyquery is: " + denyQuery);
         return denyQuery;
 
     }
@@ -349,7 +352,7 @@
         accessQuery = " AND (docid IN(" + onwer + ")";
         accessQuery = accessQuery + " OR (docid IN (" + allow + ")"
                 + " AND docid NOT IN (" + deny + ")))";
-        MetaCatUtil.debugMessage("accessquery is: " + accessQuery, 30);
+        logMetacat.warn("accessquery is: " + accessQuery);
         return accessQuery;
     }
 
@@ -632,8 +635,8 @@
         // make sure if return fields has an attribute or not
         if (inputString.indexOf(ATTRIBUTESYMBOL) == -1) {
             // no attribute value will be returned
-            MetaCatUtil.debugMessage("QuerySpecification.handleReturnField(): " , 35);
-            MetaCatUtil.debugMessage("  there are no attributes in the XPATH statement" , 35);
+            logMetacat.info("QuerySpecification.handleReturnField(): " );
+            logMetacat.info("  there are no attributes in the XPATH statement" );
             returnFieldList.add(inputString);
             containsExtendedSQL = true;
         } else {
@@ -641,8 +644,8 @@
           if ( inputString.startsWith(ATTRIBUTESYMBOL) ) {
 
             // case where the return field is solely an attribute
-            MetaCatUtil.debugMessage("QuerySpecification.handleReturnField(): " , 35);
-            MetaCatUtil.debugMessage("  there are *only* attributes in the XPATH statement" , 35);
+            logMetacat.info("QuerySpecification.handleReturnField(): " );
+            logMetacat.info("  there are *only* attributes in the XPATH statement" );
             String returnPath = newPathExpressionWithOutAttribute(inputString);
             String attributeName = getAttributeName(inputString);
             Vector pathInfo = new Vector();
@@ -662,9 +665,9 @@
             // has a attribute return field
             // divied the return filed into two parts, one is path and the
             // other is attribue name
-            MetaCatUtil.debugMessage("QuerySpecification.handleReturnField: " , 35);
-            MetaCatUtil.debugMessage("  there are both attributes and elements" , 35);
-            MetaCatUtil.debugMessage("  in the XPATH statement" , 35);
+            logMetacat.info("QuerySpecification.handleReturnField: " );
+            logMetacat.info("  there are both attributes and elements" );
+            logMetacat.info("  in the XPATH statement" );
             String returnPath = newPathExpressionWithOutAttribute(inputString);
             String attributeName = getAttributeName(inputString);
             Vector pathInfo = new Vector();
@@ -768,10 +771,10 @@
         // if there is only one percentage search item, this query is a
         // percentage
         // search query
-        MetaCatUtil.debugMessage("percentage number: "
-                + query.getPercentageSymbolCount(), 35);
+        logMetacat.info("percentage number: "
+                + query.getPercentageSymbolCount());
         if (query.getPercentageSymbolCount() == 1) {
-            MetaCatUtil.debugMessage("it is a percentage search", 30);
+            logMetacat.info("It is a percentage search");
             percentageSearch = true;
         }
 
@@ -815,8 +818,8 @@
         sql.append(")");
         sql.append(")");
         sql.append(")");
-        MetaCatUtil.debugMessage("accessControlSQLForReturnField: "
-                + sql.toString(), 30);
+        logMetacat.info("accessControlSQLForReturnField: "
+                + sql.toString());
         return sql.toString();
     }
 
@@ -883,7 +886,7 @@
     public String printExtendedSQL(String doclist,
             Hashtable unaccessableNodePair)
     {
-        MetaCatUtil.debugMessage("querySpecification.printExtendedSQL called\n", 35);
+        logMetacat.info("querySpecification.printExtendedSQL called\n");
         StringBuffer self = new StringBuffer();
 
         boolean usePathIndex = true;
@@ -1080,7 +1083,7 @@
                 self.append(" AND xml_nodes.rootnodeid = xml_documents.rootnodeid");
             }
 
-            MetaCatUtil.debugMessage("Attribute query: " + self.toString(), 30);
+            logMetacat.warn("Attribute query: " + self.toString());
 
             return self.toString();
         }
@@ -1117,8 +1120,8 @@
                     self.append(returnPath);
                     self.append("' AND ");
                 }else {
-                  MetaCatUtil.debugMessage("QuerySpecification.printAttributeQuery: "
-                   + "returnPath is: " + returnPath, 30);
+                  logMetacat.info("QuerySpecification.printAttributeQuery: "
+                   + "returnPath is: " + returnPath);
                 }
                 self.append("xml_nodes.nodename like '");
                 self.append(attributeName);
@@ -1130,8 +1133,8 @@
                     self.append(returnPath);
                     self.append("' AND ");
                 }else {
-                  MetaCatUtil.debugMessage("QuerySpecification.printAttributeQuery: "
-                   + "returnPath is null: " + returnPath, 30);
+                  logMetacat.info("QuerySpecification.printAttributeQuery: "
+                   + "returnPath is null: " + returnPath);
                 }
                 self.append("xml_nodes.nodename like '");
                 self.append(attributeName);
@@ -1141,7 +1144,7 @@
         self.append(") AND xml_nodes.docid in (");
         self.append(doclist);
         self.append(") AND xml_nodes.nodetype = 'ATTRIBUTE'");
-        MetaCatUtil.debugMessage("Attribute query: " + self.toString(), 30);
+        logMetacat.warn("Attribute query: " + self.toString());
 
         return self.toString();
     }
@@ -1187,8 +1190,8 @@
         if (index != 0) {
             newExpression = pathExpression.substring(0, index - 1);
         }
-        MetaCatUtil.debugMessage("The path expression without attributes: "
-                + newExpression, 30);
+        logMetacat.info("The path expression without attributes: "
+                + newExpression);
         return newExpression;
     }
 
@@ -1202,8 +1205,8 @@
         if (index != 1) {
             attributeName = path.substring(index + 1, size);
         }
-        MetaCatUtil.debugMessage("The attirbute name from path: "
-                + attributeName, 30);
+        logMetacat.info("The attirbute name from path: "
+                + attributeName);
         return attributeName;
     }
 
Index: src/edu/ucsb/nceas/metacat/MetacatReplication.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetacatReplication.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/MetacatReplication.java	(revision 2663)
@@ -38,6 +38,7 @@
 import javax.servlet.*;
 import javax.servlet.http.*;
 
+import org.apache.log4j.Logger;
 import org.xml.sax.*;
 
 public class MetacatReplication extends HttpServlet implements Runnable
@@ -55,7 +56,8 @@
   private static final String TIMEREPLICATIONINTERVAl = "timedreplicationinterval";
   private static final String FIRSTTIME  = "firsttimedreplication";
   private static final int    TIMEINTERVALLIMIT = 7200000;
-  
+  private static Logger logMetacat = Logger.getLogger(MetacatReplication.class);
+
   /**
    * Initialize the servlet by creating appropriate database connections
    */
@@ -70,14 +72,14 @@
     try
     {
        timedReplicationIsOn = (new Boolean(util.getOption(TIMEREPLICATION ).trim())).booleanValue();
-       MetaCatUtil.debugMessage("The timed replication on is"+timedReplicationIsOn, 30);
+       logMetacat.info("The timed replication on is"+timedReplicationIsOn);
        timeInterval = (new Long(util.getOption(TIMEREPLICATIONINTERVAl).trim())).longValue();
-       MetaCatUtil.debugMessage("The timed replication time Inerval is "+ timeInterval, 20);
+       logMetacat.warn("The timed replication time Inerval is "+ timeInterval);
        String firstTimeStr = util.getOption(FIRSTTIME);
-       MetaCatUtil.debugMessage("first replication time form property is "+firstTimeStr, 20);
+       logMetacat.warn("first replication time form property is "+firstTimeStr);
        firstTime = ReplicationHandler.combinateCurrentDateAndGivenTime(firstTimeStr);
-       MetaCatUtil.debugMessage("After combine current time, the real first time is "
-                                +firstTime.toString()+" minisec", 20);
+       logMetacat.warn("After combine current time, the real first time is "
+                                +firstTime.toString()+" minisec");
        // set up time replication if it is on
        if (timedReplicationIsOn)
        {
@@ -90,9 +92,9 @@
     {
         // the timed replication in Metacat.properties file has problem
         // so timed replication is setting to false;
-        MetaCatUtil.debugMessage("Couldn't set up timed replication "+
+        logMetacat.error("Couldn't set up timed replication "+
                      " in Metacat replication servlet init because " +
-                 e.getMessage(), 20);
+                 e.getMessage());
         MetacatReplication.replErrorLog("Couldn't set up timed replication "+
                 " in Metacat replication servlet init because " +
                 e.getMessage());
@@ -176,15 +178,15 @@
           if (params.containsKey("sessionid")) 
           {
              sess_id = ((String[]) params.get("sessionid"))[0];
-             MetaCatUtil.debugMessage("in has sessionid "+ sess_id, 40);
+             logMetacat.info("in has sessionid "+ sess_id);
              if (sessionHash.containsKey(sess_id)) 
              {
-                  MetaCatUtil.debugMessage("find the id " + sess_id + " in hash table", 40);
+                  logMetacat.info("find the id " + sess_id + " in hash table");
                   sess = (HttpSession) sessionHash.get(sess_id);
              }
            } 
            username = (String) sess.getAttribute("username");
-           MetaCatUtil.debugMessage("The user name from session is: "+ username, 20);
+           logMetacat.warn("The user name from session is: "+ username);
            groupnames = (String[]) sess.getAttribute("groupnames");
            if (!MetaCatUtil.isAdministrator(username, groupnames)) 
            {
@@ -194,8 +196,8 @@
                        "\" is not authorized for this action.");
                out.print("</error>");
                out.close();
-               MetaCatUtil.debugMessage("The user \"" + username +
-                       "\" is not authorized for this action: " +action, 30);
+               logMetacat.warn("The user \"" + username +
+                       "\" is not authorized for this action: " +action);
                replErrorLog("The user \"" + username +
                        "\" is not authorized for this action: " +action);
                return;
@@ -249,7 +251,7 @@
       } else {
         timeInterval = TIMEINTERVALLIMIT ;
       }
-      MetaCatUtil.debugMessage("New rate is: " + timeInterval + " mini seconds.", 30);
+      logMetacat.info("New rate is: " + timeInterval + " mini seconds.");
       if ( params.containsKey("firsttime"))
       {
          firstTimeStr = ((String[])params.get("firsttime"))[0];
@@ -256,21 +258,21 @@
          try
          {
            firstTime = ReplicationHandler.combinateCurrentDateAndGivenTime(firstTimeStr);
-           MetaCatUtil.debugMessage("The first time setting is "+firstTime.toString(), 30);
+           logMetacat.info("The first time setting is "+firstTime.toString());
          }
          catch (Exception e)
          {
             throw new ServletException(e.getMessage());
          }
-         MetaCatUtil.debugMessage("After combine current time, the real first time is "
-                                  +firstTime.toString()+" minisec", 20);
+         logMetacat.warn("After combine current time, the real first time is "
+                                  +firstTime.toString()+" minisec");
       }
       else
       {
           MetacatReplication.replErrorLog("You should specify the first time " +
                                           "to start a time replication");
-          MetaCatUtil.debugMessage("You should specify the first time " +
-                                  "to start a time replication", 30);
+          logMetacat.warn("You should specify the first time " +
+                                  "to start a time replication");
           return;
       }
       
@@ -497,9 +499,9 @@
       }//try
       catch (SQLException ee)
       {
-        MetaCatUtil.debugMessage("Error in " +
+        logMetacat.error("Error in " +
                 "MetacatReplication.handleServerControlRequest to close pstmt "
-                 + ee.getMessage(), 30);
+                 + ee.getMessage());
       }//catch
       finally
       {
@@ -592,9 +594,9 @@
         //override = true; //we are now overriding the default action
       }
       MetacatReplication.replLog("force replication request from " + server);
-      MetaCatUtil.debugMessage("Force replication request from: "+ server, 34);
-      MetaCatUtil.debugMessage("Force replication docid: "+docid, 34);
-      MetaCatUtil.debugMessage("Force replication action: "+dbaction, 34);
+      logMetacat.info("Force replication request from: "+ server);
+      logMetacat.info("Force replication docid: "+docid);
+      logMetacat.info("Force replication action: "+dbaction);
       // sending back read request to remote server
       URL u = new URL("https://" + server + "?server="
                 +util.getLocalReplicationServerName()
@@ -620,29 +622,29 @@
       String homeServer=(String)docinfoHash.get("home_server");
       String createdDate = (String)docinfoHash.get("date_created");
       String updatedDate = (String)docinfoHash.get("date_updated");
-      MetaCatUtil.debugMessage("homeServer: "+homeServer, 34);
+      logMetacat.info("homeServer: "+homeServer);
       // Get Document type
       String docType = (String)docinfoHash.get("doctype");
-      MetaCatUtil.debugMessage("docType: "+docType, 34);
+      logMetacat.info("docType: "+docType);
       String parserBase = null;
       // this for eml2 and we need user eml2 parser
       if (docType != null &&
           (docType.trim()).equals(DocumentImpl.EML2_0_0NAMESPACE))
       {
-         MetaCatUtil.debugMessage("This is an eml200 document!", 30);
+         logMetacat.warn("This is an eml200 document!");
          parserBase = DocumentImpl.EML200;
       }
       else if (docType != null && (docType.trim()).equals(DocumentImpl.EML2_0_1NAMESPACE))
       {
-         MetaCatUtil.debugMessage("This is an eml2.0.1 document!", 30);
+         logMetacat.warn("This is an eml2.0.1 document!");
          parserBase = DocumentImpl.EML200;
       }
       else if (docType != null && (docType.trim()).equals(DocumentImpl.EML2_1_0NAMESPACE))
       {
-         MetaCatUtil.debugMessage("This is an eml2.1.0 document!", 30);
+         logMetacat.warn("This is an eml2.1.0 document!");
          parserBase = DocumentImpl.EML210;
       }
-      MetaCatUtil.debugMessage("The parserBase is: "+parserBase, 30);
+      logMetacat.warn("The parserBase is: "+parserBase);
 
       // Get DBConnection from pool
       dbConn=DBConnectionPool.
@@ -663,8 +665,8 @@
                                       " failed to added to DB with " +
                                       "action " + dbaction + " because "+
                                        e.getMessage());
-      MetaCatUtil.debugMessage("ERROR in MetacatReplication.handleForceReplicate" +
-                         "Request(): " + e.getMessage(), 30);
+      logMetacat.error("ERROR in MetacatReplication.handleForceReplicate" +
+                         "Request(): " + e.getMessage());
 
     }//catch
     finally
@@ -687,11 +689,11 @@
   {
     MetacatReplication.replLog("force replication delete request from " + server);
     MetacatReplication.replLog("force replication delete docid " + docid);
-    MetaCatUtil.debugMessage("Force replication delete request from: "+ server, 34);
-    MetaCatUtil.debugMessage("Force replication delete docid: "+docid, 34);
+    logMetacat.info("Force replication delete request from: "+ server);
+    logMetacat.info("Force replication delete docid: "+docid);
     DocumentImpl.delete(docid, null, null, server);
     MetacatReplication.replLog("document " + docid + " was successfully deleted ");
-    MetaCatUtil.debugMessage("document " + docid + " was successfully deleted ", 34);
+    logMetacat.info("document " + docid + " was successfully deleted ");
   }
   catch(Exception e)
   {
@@ -698,8 +700,8 @@
     MetacatReplication.replErrorLog("document " + docid +
                                     " failed to delete because "+
                                      e.getMessage());
-    MetaCatUtil.debugMessage("ERROR in MetacatReplication.handleForceDeleteReplicate" +
-                       "Request(): " + e.getMessage(), 30);
+    logMetacat.error("ERROR in MetacatReplication.handleForceDeleteReplicate" +
+                       "Request(): " + e.getMessage());
 
   }//catch
 
@@ -726,8 +728,7 @@
     // Make sure there is a docid and server
     if (docid==null || server==null || server.equals(""))
     {
-      MetaCatUtil.debugMessage("Didn't specify docid or server for replication"
-                              , 20);
+      logMetacat.error("Didn't specify docid or server for replication");
       return;
     }
 
@@ -751,9 +752,9 @@
       }
 
       MetacatReplication.replLog("force replication request from " + server);
-      MetaCatUtil.debugMessage("Force replication request from: "+ server, 34);
-      MetaCatUtil.debugMessage("Force replication docid: "+docid, 34);
-      MetaCatUtil.debugMessage("Force replication action: "+dbaction, 34);
+      logMetacat.info("Force replication request from: "+ server);
+      logMetacat.info("Force replication docid: "+docid);
+      logMetacat.info("Force replication action: "+dbaction);
       // get the document info from server
       URL docinfourl = new URL("https://" + server +
                                "?server="+util.getLocalReplicationServerName()
@@ -777,7 +778,7 @@
       String createdDate = (String)docinfoHash.get("date_created");
       
       String updatedDate = (String)docinfoHash.get("date_updated");
-      MetaCatUtil.debugMessage("docHomeServer of datafile: "+docHomeServer, 34);
+      logMetacat.info("docHomeServer of datafile: "+docHomeServer);
 
 
 
@@ -818,9 +819,9 @@
                                       " failed to added to DB with " +
                                       "action " + dbaction + " because "+
                                        e.getMessage());
-      MetaCatUtil.debugMessage
+      logMetacat.error
               ("ERROR in MetacatReplication.handleForceDataFileReplicate" +
-                         "Request(): " + e.getMessage(), 30);
+                         "Request(): " + e.getMessage());
     }
   }
   /**
@@ -942,7 +943,7 @@
     //check if the doicd is null
     if (docId==null)
     {
-      util.debugMessage("Didn't specify docid for replication", 20);
+      logMetacat.error("Didn't specify docid for replication");
       return;
     }
 
@@ -960,7 +961,7 @@
       {
         //response.setContentType("text/xml");
         //outPut.println("<error>Couldn't pass the trust test</error>");
-        MetaCatUtil.debugMessage("Couldn't pass the trust test", 20);
+        logMetacat.error("Couldn't pass the trust test");
         return;
       }
     }//try
@@ -1080,8 +1081,8 @@
     }
     catch(Exception e)
     {
-      MetaCatUtil.debugMessage("error getting document from MetacatReplication."
-                          +"handlGetDocumentRequest " + e.getMessage(), 30);
+      logMetacat.error("error getting document from MetacatReplication."
+                          +"handlGetDocumentRequest " + e.getMessage());
       //e.printStackTrace(System.out);
       response.setContentType("text/xml");
       out.println("<error>"+e.getMessage()+"</error>");
@@ -1191,7 +1192,7 @@
         docsql.append(serverLocation);
         revisionSql.append(serverLocation);
       }
-      MetaCatUtil.debugMessage("Doc sql: "+docsql.toString(), 30);
+      logMetacat.info("Doc sql: "+docsql.toString());
 
       // Get any deleted documents
       delsql.append("select distinct docid from ");
@@ -1203,7 +1204,7 @@
       {
         delsql.append("and server_location = 1");
       }
-      MetaCatUtil.debugMessage("Deleted sql: "+delsql.toString(), 30);
+      logMetacat.info("Deleted sql: "+delsql.toString());
 
 
 
@@ -1322,7 +1323,7 @@
       doclist.append(prepareRevisionDoc(dbConn,revisionSql.toString(),replicateData));
         
       doclist.append("</updates></replication>");
-      MetaCatUtil.debugMessage("doclist: " + doclist.toString(), 40);
+      logMetacat.info("doclist: " + doclist.toString());
       pstmt.close();
       //conn.close();
       response.setContentType("text/xml");
@@ -1331,8 +1332,8 @@
     }
     catch(Exception e)
     {
-      MetaCatUtil.debugMessage("error in MetacatReplication." +
-                         "handleupdaterequest: " + e.getMessage(), 30);
+      logMetacat.error("error in MetacatReplication." +
+                         "handleupdaterequest: " + e.getMessage());
       //e.printStackTrace(System.out);
       response.setContentType("text/xml");
       out.println("<error>"+e.getMessage()+"</error>");
@@ -1345,8 +1346,8 @@
       }//try
       catch (SQLException ee)
       {
-        MetaCatUtil.debugMessage("Error in MetacatReplication." +
-                "handleUpdaterequest to close pstmt: "+ee.getMessage(), 30);
+        logMetacat.error("Error in MetacatReplication." +
+                "handleUpdaterequest to close pstmt: "+ee.getMessage());
       }//catch
       finally
       {
@@ -1363,7 +1364,7 @@
   private String prepareRevisionDoc(DBConnection dbConn, String revSql, 
                             boolean replicateData) throws Exception
   {
-      MetaCatUtil.debugMessage("The revision document sql is "+ revSql, 20);
+      logMetacat.warn("The revision document sql is "+ revSql);
       StringBuffer revDocList = new StringBuffer();
       PreparedStatement pstmt = dbConn.prepareStatement(revSql);
       //usage count should increas 1
@@ -1470,8 +1471,8 @@
     catch(Exception e)
     {
 
-      MetaCatUtil.debugMessage("error in MetacatReplication.handleGetCatalogRequest:"+
-                          e.getMessage(), 30);
+      logMetacat.error("error in MetacatReplication.handleGetCatalogRequest:"+
+                          e.getMessage());
       e.printStackTrace(System.out);
       if(printFlag)
       {
@@ -1486,9 +1487,8 @@
       }//try
       catch (SQLException ee)
       {
-        MetaCatUtil.
-           debugMessage("Error in MetacatReplication.handleGetCatalogRequest: "
-           +ee.getMessage(), 30);
+        logMetacat.error("Error in MetacatReplication.handleGetCatalogRequest: "
+           +ee.getMessage());
       }//catch
       finally
       {
@@ -1524,13 +1524,13 @@
   {
     try
     {
-      MetaCatUtil.debugMessage("thread started for docid: " +
-                               (String)fileLocks.elementAt(0), 45);
+      logMetacat.info("thread started for docid: " +
+                               (String)fileLocks.elementAt(0));
 
       Thread.sleep(30000); //the lock will expire in 30 seconds
-      MetaCatUtil.debugMessage("thread for docid: " +
+      logMetacat.info("thread for docid: " +
                              (String)fileLocks.elementAt(fileLocks.size() - 1) +
-                              " exiting.", 45);
+                              " exiting.");
 
       fileLocks.remove(fileLocks.size() - 1);
       //fileLocks is treated as a FIFO queue.  If there are more than one lock
@@ -1538,8 +1538,8 @@
     }
     catch(Exception e)
     {
-      MetaCatUtil.debugMessage("error in file lock thread from " +
-                                "MetacatReplication.run: " + e.getMessage(), 30);
+      logMetacat.error("error in file lock thread from " +
+                                "MetacatReplication.run: " + e.getMessage());
     }
   }
 
@@ -1589,8 +1589,8 @@
       }//try
       catch (SQLException ee)
       {
-        MetaCatUtil.debugMessage("Error in MetacactReplication.getserver: "+
-                                    ee.getMessage(), 30);
+        logMetacat.error("Error in MetacactReplication.getserver: "+
+                                    ee.getMessage());
       }//catch
       finally
       {
@@ -1646,8 +1646,8 @@
        }//try
        catch(Exception ee)
        {
-         MetaCatUtil.debugMessage("Error in MetacatReplicatio.getServerCode: "
-                                  +ee.getMessage(), 30);
+         logMetacat.error("Error in MetacatReplicatio.getServerCode: "
+                                  +ee.getMessage());
 
        }//catch
        finally
@@ -1737,8 +1737,8 @@
       }
       catch (Exception ee)
       {
-        MetaCatUtil.debugMessage("Eror irn rplicationHandler.getHomeServer() "+
-                          "to close pstmt: "+ee.getMessage(), 30);
+        logMetacat.error("Eror irn rplicationHandler.getHomeServer() "+
+                          "to close pstmt: "+ee.getMessage());
       }
       finally
       {
@@ -1809,8 +1809,8 @@
       }
       catch(Exception ee)
       {
-        MetaCatUtil.debugMessage("Erorr in Replication.getServerLocation "+
-                     "to close pstmt"+ee.getMessage(), 30);
+        logMetacat.error("Erorr in Replication.getServerLocation "+
+                     "to close pstmt"+ee.getMessage());
       }
       finally
       {
@@ -1832,9 +1832,9 @@
   {
     char istreamChar;
     int istreamInt;
-    MetaCatUtil.debugMessage("Before open the stream"+u.toString(), 50);
+    logMetacat.info("Before open the stream"+u.toString());
     InputStream input = u.openStream();
-    MetaCatUtil.debugMessage("Afetr open the stream"+u.toString(), 50);
+    logMetacat.info("Afetr open the stream"+u.toString());
     InputStreamReader istream = new InputStreamReader(input);
     StringBuffer serverResponse = new StringBuffer();
     while((istreamInt = istream.read()) != -1)
@@ -1953,8 +1953,8 @@
       }//try
       catch(Exception ee)
       {
-        MetaCatUtil.debugMessage("Error in MetacatReplication.replToServer: "
-                                  +ee.getMessage(), 30);
+        logMetacat.error("Error in MetacatReplication.replToServer: "
+                                  +ee.getMessage());
       }//catch
       finally
       {
